# SmartMoveHelper
 This script replaces [Cisco ASA ASDM](ASDM) inline network groups (_DM_INLINE_NETWORK_xxx_) in 
 policy import scripts created by [Check Point SmartMove](https://support.checkpoint.com/results/sk/sk115416).

```
python smh.py -h
usage: smh.py [-h] [-s SOURCE_HOST] [-f]

The script replaces ASDM DM_INLINE_NETWORK_ groups with there members in
policy import scripts created by Check Point SmartMove

options:
  -h, --help            show this help message and exit
  -s SOURCE_HOST, --source-host SOURCE_HOST
                        Name of the source host
  -f, --fix-fw1         Replaces "" with "FW1" in policy and objects file

For more information see: https://thl-cmk.hopto.org/gitlab/bits-and-bytes/SmartMoveHelper
Version: 0.0.1-20250325 | Written by: thl-cmk@outlook.com
```

_smh.py_ expects the Check Point SmartMove _**SOURCE_HOST_objects.sh**_ and _**SOURCE_HOST_policy.sh**_ in the same directory as _smh.py_ is running.
